Bug 1112491 - yast2-sshd firewall bindings broke
yast2-sshd firewall bindings broke
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.0
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/AS2mdie0
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-18 21:01 UTC by Caleb Woodbine
Modified: 2018-10-30 13:52 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caleb Woodbine 2018-10-18 21:01:37 UTC
yast2-sshd has bindings for SuSEFirewall and not for firewalld.

I've fixed this on my fork of it, on GitHub.
https://github.com/BobyMCbobs/yast-sshd

I've also made a pull request for this.
Comment 1 Lukas Ocilka 2018-10-19 08:11:15 UTC
Caleb, thanks for the patch. It seems it simply fixes the issue, but we have
a problem with the target repository, or rather the branch in that repo.

This YaST module has been discontinued 5 years ago on our side, so we haven't
only stopped developing it, but we also deleted the whole "master" and told
people they can take it over.

There's a PR https://github.com/yast/yast-sshd/pull/4 that wants to merge
6 commits into yast:master from BobyMCbobs:master but that would mean we
still develop and support it. We don't as we simply can't.

I also found that you build the package in OBS at
https://build.opensuse.org/package/show/home:Boby_MC_bobs/yast2-sshd
so what if we just wrote in our README.md that for further development
of that module, people should check your GitHub fork?
Comment 2 Caleb Woodbine 2018-10-19 21:53:42 UTC
(In reply to Lukas Ocilka from comment #1)
> Caleb, thanks for the patch. It seems it simply fixes the issue, but we have
> a problem with the target repository, or rather the branch in that repo.
> 
> This YaST module has been discontinued 5 years ago on our side, so we haven't
> only stopped developing it, but we also deleted the whole "master" and told
> people they can take it over.
> 
> There's a PR https://github.com/yast/yast-sshd/pull/4 that wants to merge
> 6 commits into yast:master from BobyMCbobs:master but that would mean we
> still develop and support it. We don't as we simply can't.
> 
> I also found that you build the package in OBS at
> https://build.opensuse.org/package/show/home:Boby_MC_bobs/yast2-sshd
> so what if we just wrote in our README.md that for further development
> of that module, people should check your GitHub fork?

Hi Lukas,

Why has this YaST module been discontinued, and is there no chance that it can be supported again?
It would be a really useful module to be supported.

If it can't be, then yes my repo would do.

Thanks,
Caleb.
Comment 3 Lukas Ocilka 2018-10-24 15:13:49 UTC
We've discontinued several others too.

Take a look at https://github.com/yast
-> there are currently 213 repositories

We just had to choose what we could abandon as we simply don't have enough
manpower to keep all up to date.

We'll adapt the README to link to your fork, thx :)
Comment 5 Martin Vidner 2018-10-30 13:52:33 UTC
Thank you, Caleb!

With https://github.com/yast/yast-sshd/pull/5 I have updated the README in our repo to point to your fork:
https://github.com/yast/yast-sshd/blob/master/README.md